System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

This class is used together with the FormsAuthentication infrastructure to send information back to a client that needs to be either tamper-proof, or encrypted.

This is usually used with the HTTP Cookie mechanism, you would create a FormsAuthenticationTicket, storing the information that must be either tamper-proof, or secret to the client. Once this information is created, you would use the method to encrypt the data and send that information back to the client.

- Constructor
  To be added: an object of type 'string'
  To be added: an object of type 'bool'
  To be added: an object of type 'int'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'int'
  To be added: an object of type 'string'
  To be added: an object of type 'DateTime'
  To be added: an object of type 'DateTime'
  To be added: an object of type 'bool'
  To be added: an object of type 'string'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'int'
  To be added: an object of type 'string'
  To be added: an object of type 'DateTime'
  To be added: an object of type 'DateTime'
  To be added: an object of type 'bool'
  To be added: an object of type 'string'
  To be added: an object of type 'string'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0